play.libs

## Class WS.FileParam

- java.lang.Object
- - play.libs.WS.FileParam

Enclosing class:
  WS

    public static class WS.FileParam
    extends java.lang.Object

### Field Summary

Fields
`java.io.File` `file`
`java.lang.String` `paramName`

### Constructor Summary

Constructors
Constructor and Description
`FileParam(java.io.File file, java.lang.String name)`

### Method Summary

All Methods Static Methods Concrete Methods
`static WS.FileParam[]` `getFileParams(java.io.File[] files)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### file

    public java.io.File file

#### paramName

    public java.lang.String paramName

### Constructor Detail

#### FileParam

    public FileParam(java.io.File file,
                     java.lang.String name)

### Method Detail

#### getFileParams

    public static WS.FileParam[] getFileParams(java.io.File[] files)